Bug 1120583 - [api] full-featured proxy configuration
Summary: [api] full-featured proxy configuration
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 08:38 UTC by Vratislav Podzimek
Modified: 2014-09-30 23:42 UTC (History)
6 users (show)

Fixed In Version: dnf-0.5.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-29 07:19:29 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vratislav Podzimek 2014-07-17 08:38:14 UTC
Description of problem:
Quoting akozumpl's words:
"""DNF has basic proxy support but 1) it is not exposed in the API and 2) 
we haven't implemented any proxy authentication support yet."""

The dnf-based package payload code in the Anaconda installer requires full proxy support from DNF in order to replace the yum-based payload that is about to (hopefully) go away soon.

Version-Release number of selected component (if applicable):
dnf-0.5.4-1.fc21

Additional info:
to provide a notion of what Anaconda requires, here the documentation for the Anaconda's 'proxy' option:
> proxy=[protocol://][username[:password]@]host[:port]
>   Use the given proxy settings when performing an HTTP/HTTPS/FTP installation.

Comment 1 Ales Kozumplik 2014-07-17 08:47:18 UTC
Thanks Vratislav, we'll provide this.

Comment 2 Ales Kozumplik 2014-07-22 14:41:16 UTC
Fixed by de90eff, this will be a part of the 0.5.5 release. You can check out the preview of the documentation at [1].

[1] http://dnf.readthedocs.org/en/latest/api_repos.html#dnf.repo.Repo.proxy


Note You need to log in before you can comment on or make changes to this bug.